<div class="container">
    <div class="ui-g-12" style="background-color: white;">
        <div class="ui-g-12">
            <div class="ui-g-6">
                Nomor Tanda Terima
            </div>
            <div class="ui-g-6">
                : {{tanter.receiptno}}
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Relasi (Supplier)
            </div>
            <div class="ui-g-6">
                {{tanter.mastersupplier.nm_supplier}}
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Jumlah Tagihan
            </div>
            <div class="ui-g-6">
                <input currencyMask class="form-control" name="jumlah" id="field_jumlah" [(ngModel)]="tanter.total"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" readonly />
            </div>
        </div> 
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Jumlah Potongan
            </div>
            <div class="ui-g-6">
                <input currencyMask class="form-control" name="costreduction" id="field_costreduction" [(ngModel)]="tanter.costreduction"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="potongan()"/>
            </div>
        </div> 
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Catatan Jumlah Potongan
            </div>
            <div class="ui-g-6">
                <input type="text" class="form-control" name="costreductionnotes" id="field_costreductionnotes" [(ngModel)]="tanter.costreductionnotes"
                    [disabled]="isview" autocomplete="off"/>
            </div>
        </div>      
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Jumlah Harus diBayar
            </div>
            <div class="ui-g-6">
                <input currencyMask class="form-control" name="totalpaid" id="field_totalpaid" [(ngModel)]="tanter.totalpaid"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" />
            </div>
        </div>
        <div class="ui-g-12 form-group" >
            <div class="ui-g-6">
                Tanggal Release
            </div>
            <div class="ui-g-6 form-group">
                <p-calendar inputId="field_dtrelease" name="input_dtrelease" [(ngModel)]="dtrelease"
                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                    appendTo="body" [disabled]="isview" autocomplete="off"></p-calendar>
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                No. Giro / Bayar
            </div>
            <div class="ui-g-6 form-group">
                <input type="text" class="form-control" name="nogiro" id="field_nogiro" [(ngModel)]="tanter.nogiro"
                    [disabled]="isview" autocomplete="off"/>
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Tgl. Giro / Bayar
            </div>
            <div class="ui-g-6 form-group">
                <p-calendar inputId="field_dtpay" name="input_dtpay" [(ngModel)]="dtpay" dateFormat="dd-MM-yy"
                    [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                    [disabled]="isview" autocomplete="off"></p-calendar>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Nama Bank
            </div>
            <div class="ui-g-6">
                <select class="form-control" id="field_bank" name="bank" [(ngModel)]="tanter.bankcode">
                    <option [ngValue]=""></option>
                    <option [ngValue]="bank.bankcode" *ngFor="let bank of banks;">{{bank.bankname}}</option>
                </select>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 50px;">
            <div class="btn-group flex-btn-group-container">
                <button pButton type="submit" label="Bayar" icon="fa-money" class="ui-button-primary flat-label-button"
                    (click)="updateBayar()" [disabled]="isview">
                </button>
                <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
                </button>
            </div>
        </div>
    </div>
    <div style="margin-bottom: 50px;"></div>
</div>
<p-confirmDialog></p-confirmDialog>